#
# spec file for package cura-engine
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cura-engine
Version:        3.6.0
Release:        lp152.3.37
Summary:        3D printer control software
License:        AGPL-3.0-only
Group:          Hardware/Printing
Url:            http://github.com/Ultimaker/CuraEngine
Source0:        CuraEngine-%{version}.tar.xz
Source1:        CuraEngine.1
# On TW/Factory or Leap/SLE 15 use latest gcc, gcc6 otherwise
%if 0%{?suse_version} >= 1500
BuildRequires:  gcc-c++ >= 5
%else
BuildRequires:  gcc6-c++
%endif
BuildRequires:  cmake
BuildRequires:  libArcus-devel
BuildRequires:  stb-devel

%description
CuraEngine is an engine for processing 3D models into 3D printing
instruction for Ultimaker and other GCode-based 3D printers.
It is part of the larger project called "Cura".

%prep
%setup -q -n CuraEngine-%version

%build
%if 0%{?suse_version} < 1500
export CC=gcc-6
export CXX=g++-6
%endif
# make sure lib_CuraEngine is statically build and linked
%cmake -DCURA_ENGINE_VERSION=%version -DCMAKE_POSITION_INDEPENDENT_CODE="true" -DBUILD_SHARED_LIBS="false"
%make_jobs

%install
cd build
%make_install

install -Dm0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/CuraEngine.1

%files
%license LICENSE
%doc README.md
%_bindir/CuraEngine
%_mandir/man1/CuraEngine.1*

%changelog
* Fri Jan 18 2019 Adrian Schröter <adrian@suse.de>
- define version explicit for reporting in gcode files
* Wed Jan  2 2019 Adrian Schröter <adrian@suse.de>
- fix build with stb in subdirectory
  * obsoletes fix-build.patch
* Fri Nov 16 2018 Adrian Schröter <adrian@suse.de>
- update to version 3.6.0
  https://ultimaker.com/en/products/ultimaker-cura-software/release-notes
* Wed Oct 17 2018 Adrian Schröter <adrian@suse.de>
- update to version 3.5.1
  https://ultimaker.com/en/products/ultimaker-cura-software/release-notes
- replaced fix-build.patch with new need
* Thu Jul 26 2018 jengelh@inai.de
- Trim bias from description.
* Mon Jul 16 2018 adrian@suse.de
- update to version 3.4.1
  https://ultimaker.com/en/products/ultimaker-cura-software/release-notes
* Mon Jul  9 2018 adrian@suse.de
- update to version 3.3.0
  * No official release notes
* Tue Apr  3 2018 adrian@suse.de
- update to version 3.2.1
  * new algorithm and lot's of smaller improvements
* Sat Jan 27 2018 stefan.bruens@rwth-aachen.de
- Link private lib_CuraEngine statically to binary
* Thu Jan 25 2018 adrian@suse.de
- update to version 3.1.0
* Fri Dec  8 2017 stefan.bruens@rwth-aachen.de
- Fix License, Cura 3.0 and libraries are LGPL-3.0 now
* Thu Dec  7 2017 stefan.bruens@rwth-aachen.de
- Revert parts of the previous commit breaking build on anything
  but Leap 42.3
* Fri Nov  3 2017 adrian@suse.de
- update to version 3.0.3
* Tue Sep 12 2017 stefan.bruens@rwth-aachen.de
- Fixed RPM Group
- Fix build on TW, parallel installation of gcc6/7 causes build errors
- Build CuraEngine as PIE
* Mon Sep  4 2017 adrian@suse.de
- update to version 2.7.0
* Mon Jun 26 2017 adrian@suse.de
- update to version 2.6.0
* Fri Dec 23 2016 adrian@suse.de
- update to stable 15.04.6 release
  (15.06 has changed interface which breaks all dependending tools atm)
* Sat Oct 12 2013 lzwang@suse.com
- Initial package of CuraEngine
